package com.bankaudit.dto;

import java.util.List;
import java.util.Set;

import com.bankaudit.model.MaintEntityAuditSubgroupMapping;
import com.bankaudit.model.MaintEntityAuditSubgroupMappingWrk;
import com.bankaudit.model.User;
import com.bankaudit.model.UserWrk;

public class UserRegistrationDto {

	UserWrk userWrk;
	Set<String> userRoleIds;
	List<MaintEntityAuditSubgroupMappingWrk> maintEntityAuditSubgroupMappings;
	

	/**
	 * @return the maintEntityAuditSubgroupMappings
	 */
	public List<MaintEntityAuditSubgroupMappingWrk> getMaintEntityAuditSubgroupMappings() {
		return maintEntityAuditSubgroupMappings;
	}
	/**
	 * @param maintEntityAuditSubgroupMappings the maintEntityAuditSubgroupMappings to set
	 */
	public void setMaintEntityAuditSubgroupMappings(
			List<MaintEntityAuditSubgroupMappingWrk> maintEntityAuditSubgroupMappings) {
		this.maintEntityAuditSubgroupMappings = maintEntityAuditSubgroupMappings;
	}
	/**
	 * @return the userWrk
	 */
	public UserWrk getUserWrk() {
		return userWrk;
	}
	/**
	 * @param userWrk the userWrk to set
	 */
	public void setUserWrk(UserWrk userWrk) {
		this.userWrk = userWrk;
	}
	/**
	 * @return the userRoleIds
	 */
	public Set<String> getUserRoleIds() {
		return userRoleIds;
	}
	/**
	 * @param userRoleIds the userRoleIds to set
	 */
	public void setUserRoleIds(Set<String> userRoleIds) {
		this.userRoleIds = userRoleIds;
	}
	
	
}
